# $Revision: 1.44 $, $Date: 2007-06-30 00:53:33 $
#
# Conditional build:
%bcond_with	ccache	# enable ccache
#
%define		_majver		2
%define		_minver		1
Summary:	Firewall Builder
Summary(pl.UTF-8):   Narzędzie do tworzenia firewalli
Name:		fwbuilder
Version:	%{_majver}.%{_minver}.12
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/fwbuilder/%{name}-%{version}.tar.gz
# Source0-md5:	3a46afdff88497ebb3fea156f3257f27
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-configure.patch
Patch1:		%{name}-c++.patch
URL:		http://www.fwbuilder.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libfwbuilder-devel = %{version}
BuildRequires:	qmake
BuildRequires:	qt-devel >= 3.2
%{?with_ccache:BuildRequires:	ccache}
Requires:	libfwbuilder = %{version}
Obsoletes:	fwbuilder-doc
Obsoletes:	fwbuilder-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Firewall administration toolkit.

%description -l pl.UTF-8
Narzędzie do tworzenia i administracji firewallami.

%package install
Summary:	Install script for Firewall Builder rules
Summary(pl.UTF-8):   Skrypt instalujący regułki tworzone przez Firewall Buildera
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description install
Install script for Firewall Builder rules.

%description install -l pl.UTF-8
Skrypt instalujący regułki tworzone przez Firewall Buildera.

%package compiler-ipfilter
Summary:	ipfilter compiler for Firewall Builder
Summary(pl.UTF-8):   Kompilator ipfilter dla Firewall Buildera
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description compiler-ipfilter
ipfilter compiler for Firewall Builder.

%description compiler-ipfilter -l pl.UTF-8
Kompilator ipfilter dla Firewall Buildera.

%package compiler-iptables
Summary:	iptables compiler for Firewall Builder
Summary(pl.UTF-8):   Kompilator iptables dla Firewall Buildera
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description compiler-iptables
iptables compiler for Firewall Builder.

%description compiler-iptables -l pl.UTF-8
Kompilator iptables dla Firewall Buildera.

%package compiler-openbsd-pf
Summary:	OpenBSD pf compiler for Firewall Builder
Summary(pl.UTF-8):   Kompilator OpenBSD pf dla Firewall Buildera
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description compiler-openbsd-pf
OpenBSD pf compiler for Firewall Builder.

%description compiler-openbsd-pf -l pl.UTF-8
Kompilator OpenBSD pf dla Firewall Buildera.

%package compiler-cisco-fwsm
Summary:	Cisco FWSM compiler for Firewall Builder
Summary(pl.UTF-8):   Kompilator Cisco FWSM dla Firewall Buildera
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description compiler-cisco-fwsm
Cisco FWSM compiler for Firewall Builder.

%description compiler-cisco-fwsm -l pl.UTF-8
Kompilator Cisco FWSM dla Firewall Buildera.

%package compiler-cisco-pix
Summary:	Cisco PIX compiler for Firewall Builder
Summary(pl.UTF-8):   Kompilator Cisco PIX dla Firewall Buildera
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description compiler-cisco-pix
Cisco PIX compiler for Firewall Builder.

%description compiler-cisco-pix -l pl.UTF-8
Kompilator Cisco PIX dla Firewall Buildera.

%package compiler-freebsd-ipfw
Summary:	FreeBSD ipfw compiler for Firewall Builder
Summary(pl.UTF-8):   Kompilator FreeBSD ipfw dla Firewall Buildera
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description compiler-freebsd-ipfw
FreeBSD ipfw compiler for Firewall Builder.

%description compiler-freebsd-ipfw -l pl.UTF-8
Kompilator FreeBSD ipfw dla Firewall Buildera.

%package platform-linux24
Summary:	Linux 2.4 specific files
Summary(pl.UTF-8):   Pliki specyficzne dla Linuksa 2.4
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description platform-linux24
Linux 2.4 specific files.

%description platform-linux24 -l pl.UTF-8
Pliki specyficzne dla Linuksa 2.4.

%package platform-freebsd
Summary:	FreeBSD specific files
Summary(pl.UTF-8):   Pliki specyficzne dla FreeBSD
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description platform-freebsd
FreeBSD specific files.

%description platform-freebsd -l pl.UTF-8
Pliki specyficzne dla FreeBSD.

%package platform-openbsd
Summary:	OpenBSD specific files
Summary(pl.UTF-8):   Pliki specyficzne dla OpenBSD
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description platform-openbsd
OpenBSD specific files.

%description platform-openbsd -l pl.UTF-8
Pliki specyficzne dla OpenBSD.

%package platform-cisco-fwsm
Summary:	Cisco PIX specific files
Summary(pl.UTF-8):   Pliki specyficzne dla Cisco FWSM
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description platform-cisco-fwsm
Cisco FWSM specific files.

%description platform-cisco-fwsm -l pl.UTF-8
Pliki specyficzne dla Cisci FWSM.

%package platform-cisco-pix
Summary:	Cisco PIX specific files
Summary(pl.UTF-8):   Pliki specyficzne dla Cisco PIX
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description platform-cisco-pix
Cisco PIX specific files.

%description platform-cisco-pix -l pl.UTF-8
Pliki specyficzne dla Cisci PIX.

%package platform-solaris
Summary:	Solaris specific files
Summary(pl.UTF-8):   Pliki specyficzne dla Solarisa
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description platform-solaris
Solaris specific files.

%description platform-solaris -l pl.UTF-8
Pliki specyficzne dla Solarisa.

%package platform-macosx
Summary:	MacOS X specific files
Summary(pl.UTF-8):   Pliki specyficzne dla MacOS X
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description platform-macosx
MacOS X specific files.

%description platform-macosx -l pl.UTF-8
Pliki specyficzne dla MacOS X.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%if %{without ccache}
grep -vi ccache configure.in > configure.in.x
mv configure.in.x configure.in
%endif

%build
export QTDIR="%{_usr}"
export QMAKESPEC="%{_datadir}/qt/mkspecs/linux-g++"

cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	--with-templatedir=%{_datadir}/fwbuilder
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

export QTDIR="%{_usr}"
export QMAKESPEC="%{_datadir}/qt/mkspecs/linux-g++"

%{__make} install \
	DDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,ChangeLog,Credits,README*,*.html}
%attr(755,root,root) %{_bindir}/fwb_compile_all
%attr(755,root,root) %{_bindir}/fwbedit
%attr(755,root,root) %{_bindir}/fwblookup
%attr(755,root,root) %{_bindir}/fwbuilder
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.xml
%dir %{_datadir}/%{name}/locale
%lang(de) %{_datadir}/%{name}/locale/fwbuilder_de.qm
%lang(es) %{_datadir}/%{name}/locale/fwbuilder_es.qm
%lang(fr) %{_datadir}/%{name}/locale/fwbuilder_fr.qm
%lang(ja) %{_datadir}/%{name}/locale/fwbuilder_ja.qm
%lang(ru) %{_datadir}/%{name}/locale/fwbuilder_ru.qm
%lang(sv) %{_datadir}/%{name}/locale/fwbuilder_sv.qm
%dir %{_datadir}/%{name}/os
%{_datadir}/%{name}/os/linksys.xml
%{_datadir}/%{name}/os/unknown_os.xml
%dir %{_datadir}/%{name}/platform
%{_datadir}/%{name}/platform/unknown.xml
%{_datadir}/%{name}/os/ios.xml
%{_datadir}/%{name}/platform/iosacl.xml
%{_desktopdir}/fwbuilder.desktop
%{_mandir}/man1/fwbuilder*
%{_mandir}/man1/fwblookup*
%{_mandir}/man1/fwb_compile_all*
%{_mandir}/man1/fwbedit*
%{_pixmapsdir}/fwbuilder.png

%files install
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fwb_install
%{_mandir}/man1/fwb_install*

%files compiler-iptables
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fwb_ipt
%{_datadir}/%{name}/platform/iptables.xml
%{_mandir}/man1/fwb_ipt*

%files compiler-ipfilter
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fwb_ipf
%{_datadir}/%{name}/platform/ipf.xml
%{_mandir}/man1/fwb_ipf*

%files compiler-openbsd-pf
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fwb_pf
%{_datadir}/%{name}/platform/pf.xml
%{_mandir}/man1/fwb_pf*

%files compiler-cisco-fwsm
%defattr(644,root,root,755)
%{_datadir}/%{name}/platform/fwsm.xml

%files compiler-cisco-pix
%defattr(644,root,root,755)
#%attr(755,root,root) %{_bindir}/fwb_pix
%{_datadir}/%{name}/platform/pix.xml
#%%{_mandir}/man1/fwb_pix*

%files compiler-freebsd-ipfw
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fwb_ipfw
%{_datadir}/%{name}/platform/ipfw.xml

%files platform-linux24
%defattr(644,root,root,755)
%{_datadir}/%{name}/os/linux24.xml

%files platform-freebsd
%defattr(644,root,root,755)
%{_datadir}/%{name}/os/freebsd.xml

%files platform-openbsd
%defattr(644,root,root,755)
%{_datadir}/%{name}/os/openbsd.xml

%files platform-cisco-fwsm
%defattr(644,root,root,755)
%{_datadir}/%{name}/os/fwsm_os.xml

%files platform-cisco-pix
%defattr(644,root,root,755)
%{_datadir}/%{name}/os/pix_os.xml

%files platform-solaris
%defattr(644,root,root,755)
%{_datadir}/%{name}/os/solaris.xml

%files platform-macosx
%defattr(644,root,root,755)
%{_datadir}/%{name}/os/macosx.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fwbuilder.spec,v $
Revision 1.44  2007-06-30 00:53:33  twittner
- added -c++.patch - fix/hack for compilation error: non-static
  const member can't use default assignment operator
- rel. 2

Revision 1.43  2007/06/28 17:13:43  twittner
- up to 2.1.12 (from DEVEL)

Revision 1.38.2.4  2007/06/28 17:12:08  twittner
- cleaning, missing files

Revision 1.38.2.3  2007/06/27 23:18:05  twittner
- up to 2.1.12
- NFY

Revision 1.38.2.2  2007/02/12 13:20:12  baggins
- converted to UTF-8

Revision 1.38.2.1  2006/08/30 17:55:01  czarny
- up to 2.1.5
- branched because of devel version

Revision 1.38  2006/07/28 21:51:52  charles
- updated to 2.0.12 (bugfix release)
- STBR

Revision 1.37  2005/12/13 13:34:13  charles
- updated to 2.0.10
- added new *-cisco-fwsm subpackages

Revision 1.36  2005/09/13 14:42:33  charles
- added lang de
- BR: gettext-devel

Revision 1.35  2005/07/10 11:35:23  paszczus
- updated to 2.0.8

Revision 1.34  2005/06/05 22:12:38  paszczus
- updated to 2.0.7 ; STBR

Revision 1.33  2005/02/21 10:03:40  charles
- updated to 2.0.6

Revision 1.32  2005/01/11 23:45:53  charles
- updated to 2.0.5

Revision 1.31  2004/12/23 16:50:22  charles
- cosmetics

Revision 1.30  2004/12/23 14:51:58  charles
- BR qt-devel up to 3.1
- add desktop and icon files

Revision 1.29  2004/12/06 11:26:19  kolodko
- strict deps
- up to 2.0.4 by Charles <charles (at) os.pl>

Revision 1.28  2004/10/28 03:01:46  misi3k
- updated to 2.0.3 [STBR]

Revision 1.27  2004/10/06 11:51:06  qboosh
- bcond cleanups

Revision 1.26  2004/09/19 22:21:00  djurban
- build fixes, ccache bcond instead of using it when found in system

Revision 1.25  2004/09/01 17:29:36  paszczus
- updated to 2.0.2

Revision 1.24  2004/08/16 20:39:13  misi3k
- updated to 2.0.1

Revision 1.23  2004/08/07 10:03:36  qboosh
- fixed build on amd64, release 2

Revision 1.22  2004/08/02 22:07:50  qboosh
- updated to 2.0.0 (now qt-based)
- removed outdated modulesdir patch, added configure patch

Revision 1.21  2004/06/05 23:39:30  qboosh
- updated to 1.1.2, updated modulesdir patch

Revision 1.20  2004/01/29 23:26:00  twittner
- typos

Revision 1.19  2003/09/09 11:19:15  grzegol
- updated to 1.0.11
- added %%find_lang
- updated %%files

Revision 1.18  2003/08/18 08:08:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/08/11 20:44:54  ankry
cosmetics

Revision 1.16  2003/07/24 08:04:56  qboosh
- added modulesdir patch, moved modules to proper place; cleanups

Revision 1.15  2003/07/13 19:26:02  grzegol
- updated to 1.0.10
- removed -devel and -static packages
- added -compiler-freebsd-ipfw and -platform-macosx packages
- pl
- added missing dirs
- cosmetics

Revision 1.14  2003/06/22 10:39:47  eothane
checkpassword-pam.spec

Revision 1.13  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:47:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/02/28 10:07:55  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.10  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.9  2002/12/17 10:56:14  pascalek
- updated to 1.0.8

Revision 1.8  2002/12/16 07:35:18  pascalek
- new compiler subpackages

Revision 1.7  2002/12/13 15:17:40  pascalek
- updated to 1.0.7 (missing documentation)

Revision 1.6  2002/12/02 11:06:17  ankry
- massive cleaning

Revision 1.5  2002/11/22 06:15:30  wrobell
- changed build requirements from gtkmm-devel to gtkmm1-devel

Revision 1.4  2002/10/12 11:31:31  qboosh
- BR: automake

Revision 1.3  2002/07/14 13:36:29  dobrek
- upgraded to 1.03

Revision 1.2  2002/03/20 11:14:52  misiek
 - release 1

Revision 1.1  2002/03/20 11:05:46  misiek
- initial pld release
